# &amarok;-håndbogen

Mike
Diehl

    madpenguin8@yahoo.com

Amarok's udviklingshold
Udviklere

&erik.kjaer.pedersen.role;
2005
Amarok's udviklingshold
2006
Dokumentationsholdet
&FDLNotice;
2006-02-20
2.1

&amarok; er en mediespiller for K-desktopmiljøet.

KDE
multimedie
afspiller
lyd
ogg
MP3
wav
musik
lyd
script

## Indledning

Logo

&amarok; er en lydafspiller for &kde; som er yderst kraftfuld, men alligevel forbavsende let at bruge.

Med &amarok; kan du helt enkelt trække og slippe musik i spillelisten i stedet for at gennemsøge endeløse menuer. Måske leder du efter netop en bestemt sang blandt tusindevis i din samling? &amarok;s samlingsbrowser med sin søgelinje hjælper dig med at finde sangen efter kun nogle få sekunder.

Det kan virke som om &amarok; har de samme gamle funktioner som findes i de sædvanlige lydafspillere, men vi sluttede ikke med det. Tag et kig på sammenhængsbrowseren så ser du hvorfor &amarok; er et skridt forud for mængden. Sammenhængsbrowseren viser al mulig information som hører sammen med sporet som du for øjeblikket spiller, fra albumomslaget til anden musik af samme artist, samt lignende artister: en informativ og morsom måde at lære dig mere om din samling.

Har du allerede mange forskellige spillelister men kan aldrig bestemme dig for hvilken du vil bruge? Da er spillelistebrowseren noget for dig. Ved du aldrig hvad du vil lytte til. Den dynamiske tilstand i Amarok vælger musik for dig, og smarte spillelister lader dig hoppe direkte til specielle dele af din samling.

Der er enestående understøttelse for Apples iPod, iRivers IFP og en mængde generelle USB-enheder i Amarok. Der er også flere forskellige lydgrænseflader som lader dig vælge hvordan du lytter til din musik. Disse og andre funktioner gør den til den mest avancerede lydafspiller som er tilgængelig. &amarok; er smart, sexet og klog. Vi håber at dens brug virkelig får dig til at "genopdage din musik" ved at bruge den!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Medvirkende og licens

Program ophavsret 2003-2005 Mark Kretschmann markey@web.de og AmaroK-holdet

### AmaroK-holdet

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik jeg er ikke tysk. Holljen fh@ez.no

- Mark det er godt, men det er ikke irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike lille er ikke tøset! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman og gud sagde, lad der være Mac Becker roman@formmorf.de

- Seb Surfer nedenunder Ruiz me@sebruiz.net

- Stanislav var der nogen der sagde DCOP? Karchebny Stanislav.Karchebny@kdemail.net

### Bidragydere:

- Adam Pigg (analysatorer, rettelser) adam@piggz.fsnet.co.uk

- Adeodato Simo (fejlrettelser) asp16@alu.ua.es

- Alexandre Oliveira (forbedringer, fejlrettelser) aleprj@gmail.com

- Andreas Mair (støtte for MySql) am_ml@linogate.com

- Andrew de Quincey (støtte for Postgresql) adq_dvb@lidskialf.net

- Christie Harris (roKymoter) dangle.baby@gmail.com

- Dan Leinir Turthra Jensen (førstekørselsguide) admin@removeleinir.dk

- Dan Meltzer (roKymoter) hydrogen@notyetimplemented.com

- Enrico Ros (analysatorer, konge af openGL) eros.kde@email.it

- Florian 'da-flow' Egerer (Amarok programikon 'Blå ulv') flo_for_never@gmx.at

- Gérard Dürrmeyer (ikoner og billedarbejde) gerard@randomtree.com

- Greg Meyer (vidunderlig hjælp med vort jordskred af fejl inden 1.2) greg@gkmweb.com

- Harald Sitter (roKymoter, oversættelser, fejlrettelser, skærmaftryk) harald.sitter@kdemail.net

- Ian Monroe (programrettelser, Ruby-scriptskabelon (eean) ) ian@monroe.nu

- Jarkko Lehti (test) grue@iki.fi

- Jocke Andersson (roKymoter) ajocke@gmail.com

- Kenneth Wesley Wimer II (ikoner) kwwii@bootsplash.org

- Kenny Lemieux (Amarok webmaster) swaft@pwsp.net

- Melchior Franz (ny FFT-rutine, fejlrettelser) mfranz@kde.org

- Michael Pyne (K3B eksportkode) michael.pyne@kdemail.net

- Nenad Grujicic (opstartskærm for 1.1) mchitman@neobee.net

- Olivier Bédard (netstedsvært) paleo@pwsp.net

- Reigo Reinmets (understøttelse for Wikipedia, programrettelser) xatax@hot.ee

- Roland Gigler (MAS-motor) michael.pyne@kdemail.net

- Sami Nieminen (støtte for Audioscrobbler) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (Masser af ting) bochi@online.ms

- Stefan Siegel (fejlrettelser) kde@sdas.de

- Sven Krohlas (roKymoter) sven@asbest-online.de

- Whitehawk Stormchaser (test, programrettelser) zerokode@gmx.net

Documentation ophavsret 2005 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installation

### Hvordan får man fat i &amarok;

&amarok; kan hentes fra &amarok;s hjemmeside

Den seneste udviklingsversion kan skaffes fra &kde; SVN-modulet /trunk/extragear/multimedia/amarok/.

#### Hvordan kompileres &amarok;

For at kompilere og installere Amarok på dit system, skrives følgende i basismappen for din Amarok-distribution:

`./configure --prefix=`kde-config --prefix`` `make` `su -c "make install"`

Flaget --enable-final for configure er ikke længere understøttet.

Idet &amarok; bruger autoconf og automake skulle du ikke have porblemer med at kompilere den. Skulledu løbe ind i problemer så rapportér dem venligst til &kde;'s e-mail-lister.

#### Indstillingstilvalg

&amarok; ligner mange andre programmer i den henseende at det har flere valgfrie funktioner ved kompilering som kan aktiveres eller deaktiveres under konfigureringen. Dette er en liste over funktionerne som kan konfigureres.

Visse kompileringsfunktioner kræver at særlige afhængigheder er opfyldte. Se afsnittet om krav for mere detaljeret information.

Tilvalg | Standard | Beskrivelse
--- | --- | ---
--enable-debug= | no | Aktiverer fejlsøgningssymboler. Vælg enten yes (ja), no (nej) eller full (fuldstændig). Brug flaget full hvis du har til hensigt at hjælpe til med udvikling af &amarok;.
--enable-mysql | Deaktiveret | Aktiverer understøttelse for MySql database i &amarok;
--disable-amazon | Aktiveret | Deaktiverer støtte for at hente omslagsbilleder fra Amazon i &amarok;
--without-arts | Med | Deaktiverer støtte for aRts i &amarok;
--without-gstreamer | Med | Deaktiverer støtte for Gstreamer i &amarok;
--with-helix | Med | Aktiverer understøttelse for Helix-grænsefladen i &amarok;
--without-xine | Med | Deaktiverer støtte for Xine i &amarok;
--with-nmm | Uden | Aktiverer støtte for NMM i &amarok;
--with-mas | Uden | Aktiverer støtte for MAS i &amarok;
--without-opengl | Med | Deaktiverer støtte for OpenGL (analysatorer) i &amarok;
--without-included-sqlite | Med | Brug ikke den inkluderede kildekode for sqlite (kræver at sqlite er installeret)

&documentation.index;